Package ru.bitel.bgbilling.plugins.bonus.common.bean

# Class BonusPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
ru.bitel.bgbilling.plugins.bonus.common.bean.BonusPayment

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class BonusPayment
    extends AbstractBonusBalanceBean

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `date, dateString, sum, typeId, typeTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BonusPayment()` |
  `BonusPayment​(int id, int typeId, java.lang.String typeTitle, java.util.Date date, java.math.BigDecimal sum, java.util.Date dateFrom, java.util.Date dateTo)` |
  `BonusPayment​(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, java.util.Date dateFrom, java.util.Date dateTo)` |
  `BonusPayment​(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, Period period)` |
  `BonusPayment​(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, Period period, java.lang.String comment)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.lang.String` | `getDatePeriod()` |
  `java.util.Date` | `getDateTo()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDatePeriod​(java.lang.String datePeriod)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

  `getDate, getDateString, getSum, getTypeId, getTypeTitle, setDate, setDateString, setSum, setTypeId, setTypeTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BonusPayment

    public BonusPayment()

  - ### BonusPayment

    public BonusPayment​(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, java.util.Date dateFrom, java.util.Date dateTo)
    Parameters:
      `id` - - ид( при добовление в базу = 0)
      `typeId` - - ид типа платежа
      `date` - - дата платежа
      `sum` - - сумма
      `dateFrom` - - активна от
      `dateTo` - - активна до

  - ### BonusPayment

    public BonusPayment​(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, Period period, java.lang.String comment)

  - ### BonusPayment

    public BonusPayment​(int id, int typeId, java.util.Date date, java.math.BigDecimal sum, Period period)
    Parameters:
      `id` - - ид( при добовление в базу = 0)
      `typeId` - - ид типа платежа
      `date` - - дата платежа
      `sum` - - сумма
      `period` - - период активности бонусов данного платежа.

  - ### BonusPayment

    public BonusPayment​(int id, int typeId, java.lang.String typeTitle, java.util.Date date, java.math.BigDecimal sum, java.util.Date dateFrom, java.util.Date dateTo)

- ## Method Details

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDatePeriod

    public java.lang.String getDatePeriod()

  - ### setDatePeriod

    public void setDatePeriod​(java.lang.String datePeriod)